<?php
/**
 *  Onjob Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage  Onjob Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function onjob_pro_custom_colors_css() {
  	$options= onjob_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.main-navigation ul ul a:hover,
	.main-navigation ul ul a:focus,
	.main-navigation .register-menu li.custom-button a:hover,
	.main-navigation .register-menu li.custom-button a:focus,
	.main-navigation .count,
	.menu-toggle:hover,
	.menu-toggle:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.author-name:after,
	.reply a,
	.btn,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	.slick-dots li.slick-active button,
	#latest-posts .show-all a:hover,
	#latest-posts .show-all a:focus,
	#service-section .icon-container a,
	#course-section .icon-container a,
	#cause-section .icon-container a,
	#service-section .read-more i,
	#course-section .read-more i,
	#cause-section .read-more i,
	#promotion-section .btn:hover,
	#promotion-section .btn:focus,
	#testimonial-section .entry-header:before,
	#contact-section input[type="submit"]:hover,
	#contact-section input[type="submit"]:focus,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.woocommerce ul.products li.product .onsale,
	.woocommerce span.onsale,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	#gallery-section .entry-header,
	.dark-version #gallery-section .entry-header,
	.fourth-design .cat-links a,
	.fourth-design .section-title,
	#colophon .search-jobs .search-form button:hover,
	#colophon .search-jobs .search-form button:focus,
	#colophon.footer-white .search-jobs .search-form button {
	    background-color: ' . esc_attr( $color_value ) . ';
	}

	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul.nav-menu li.current-menu-item > a,
	.main-navigation ul.nav-menu li:hover > a,
	.main-navigation ul.nav-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	#secondary .cat-links a,
	#secondary ul li a:hover,
	#secondary ul li a:focus,
	.page-header small,
	.posted-on a:hover,
	.posted-on a:focus,
	#secondary .posted-on a:hover,
	#secondary .posted-on a:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.section-subtitle,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	#recent-jobs .entry-meta a:hover,
	#recent-jobs .entry-meta a:focus,
	#recent-jobs .company-name a:hover,
	#recent-jobs .company-name a:focus,
	#company-profiles .entry-meta a:hover,
	#company-profiles .entry-meta a:focus,
	#latest-posts .entry-title a:hover,
	#latest-posts .entry-title a:focus,
	#latest-posts .entry-meta a:hover,
	#latest-posts .entry-meta a:focus,
	#latest-posts.section-lite .show-all a,
	#latest-posts.section-lite .entry-title a:hover, 
	#latest-posts.section-lite .entry-title a:focus, 
	#latest-posts.section-lite .entry-meta a:hover,
	#latest-posts.section-lite .entry-meta a:focus,
	#testimonial-section .entry-title a:hover,
	#testimonial-section .entry-title a:focus,
	#testimonial-section .position,
	#testimonial-section.section-lite .entry-title a:hover,
	#testimonial-section.section-lite .entry-title a:focus,
	.archive-blog-wrapper .entry-meta a:hover,
	.archive-blog-wrapper .entry-meta a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.product_meta a:hover,
	.product_meta a:focus,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce ul.products li.product .price,
	#magazine-featured-posts .entry-title a:hover,
	#magazine-featured-posts .entry-title a:focus,
	#magazine-featured-posts .posted-on a:hover,
	#magazine-featured-posts .posted-on a:focus,
	#magazine-featured-posts .author.vcard a:hover,
	#magazine-featured-posts .author.vcard a:focus,
	#magazine-popular-posts .entry-title a:hover,
	#magazine-popular-posts .entry-title a:focus,
	#magazine-popular-posts .author.vcard a,
	#magazine-recent-posts .entry-title a:hover,
	#magazine-recent-posts .entry-title a:focus,
	#magazine-recent-posts .author.vcard a,
	#magazine-latest-posts .entry-title a:hover,
	#magazine-latest-posts .entry-title a:focus,
	#magazine-latest-posts .author.vcard a,
	#magazine-sports-news .entry-title a:hover,
	#magazine-sports-news .entry-title a:focus,
	#magazine-sports-news .author.vcard a,
	#magazine-most-viewed-posts .entry-title a:hover,
	#magazine-most-viewed-posts .entry-title a:focus,
	#magazine-most-viewed-posts .author.vcard a,
	.fourth-design .posted-on a:hover,
	.fourth-design .posted-on a:focus,
	#colophon a:hover,
	#colophon a:focus,
	.dark-version a:hover,
	.dark-version a:focus,
	.dark-version .navigation.post-navigation a:hover, 
	.dark-version .navigation.post-navigation a:focus, 
	.dark-version .navigation.posts-navigation a:focus,
	.dark-version .navigation.posts-navigation a:hover,
	.dark-version #secondary ul li a:hover,
	.dark-version #secondary ul li a:focus,
	.dark-version .cat-links a:hover,
	.dark-version .cat-links a:focus,
	.dark-version .author.vcard a:hover,
	.dark-version .author.vcard a:focus,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	#colophon.footer-white .site-info a,
	#colophon.footer-white .footer-widgets-area a:hover,
	#colophon.footer-white .footer-widgets-area a:focus {
		color: ' . esc_attr( $color_value ) . ';
	}

	.main-navigation .register-menu li.custom-button a:hover,
	.main-navigation .register-menu li.custom-button a:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.slick-prev,
	.slick-next,
	.slick-dots li button,
	#latest-posts .show-all a,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	.fourth-design .section-header {
		border-bottom-color: ' . esc_attr( $color_value ) . ';
	}

	.loader-container svg,
	.main-navigation ul.nav-menu li:hover > svg,
	.main-navigation ul.nav-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	#team-section .social-icons a svg {
		fill: ' . esc_attr( $color_value ) . ';
	}

	@media screen and (min-width: 1024px) {
		.main-navigation ul.nav-menu > li > a.custom-button:hover,
		.main-navigation ul.nav-menu > li > a.custom-button:focus {
			background-color: ' . esc_attr( $color_value ) . ';
		}
	}';

	/**
	 * Filters  Onjob Pro custom colors CSS.
	 *
	 * @since  Onjob Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'onjob_pro_custom_colors_css', $css );
}
