<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage  Onjob Pro
 * @since  Onjob Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'onjob_pro_sortable',
	array(
		'title'               => esc_html__('Homepage Sortable','onjob-pro'),
		'description'         => esc_html__( 'Homepage Sortable options.', 'onjob-pro' ),
		'panel'               => 'onjob_pro_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'onjob_pro_theme_options[sortable]',
	array(
		'default'			  => $options['sortable'],
		'sanitize_callback'   => 'onjob_pro_sanitize_sortable',
		'transport' => 'refresh',
	)
);

$wp_customize->add_control( new  Onjob_Pro_Customize_Sortable_Control ( $wp_customize,
	'onjob_pro_theme_options[sortable]',
		array(
			'label'               => esc_html__( 'Sortable Homepage', 'onjob-pro' ),
			'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'onjob-pro' ),
			'section'             => 'onjob_pro_sortable',
			'type'                => 'sortable',
			'choices'			  => onjob_pro_sortable_sections(),
		)
	)
);