<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage  Onjob Pro
* @since  Onjob Pro 1.0.0
*/
if ( ! function_exists( 'onjob_pro_validate_service_posts_count' ) ) :
    function onjob_pro_validate_service_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'onjob-pro' ) );
       }
       return $validity;
    }
  endif;
if ( ! function_exists( 'onjob_pro_validate_long_excerpt' ) ) :
    function onjob_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'onjob-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'onjob-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_slider_count' ) ) :
  function onjob_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'onjob-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'onjob-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'onjob_pro_validate_blog_count' ) ) :
  function onjob_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'onjob-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'onjob_pro_validate_team_count' ) ) :
    function onjob_pro_validate_team_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_gallery_count' ) ) :
    function onjob_pro_validate_gallery_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 21 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 21', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_counter_count' ) ) :
    function onjob_pro_validate_counter_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'onjob-pro' ) );
       } elseif ( $value > 5 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;


if ( ! function_exists( 'onjob_pro_validate_featured_post_count' ) ) :
    function onjob_pro_validate_featured_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'onjob-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_sponsor_count' ) ) :
    function onjob_pro_validate_sponsor_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'onjob-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_latest_post_count' ) ) :
    function onjob_pro_validate_latest_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_recent_products_count' ) ) :
    function onjob_pro_validate_recent_products_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 4 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'onjob-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_popular_post_count' ) ) :
    function onjob_pro_validate_popular_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'onjob-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_recent_post_count' ) ) :
    function onjob_pro_validate_recent_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_featured_job_count' ) ) :
    function onjob_pro_validate_featured_job_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'onjob-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_recent_job_count' ) ) :
    function onjob_pro_validate_recent_job_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_testimonial_count' ) ) :
    function onjob_pro_validate_testimonial_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_course_count' ) ) :
    function onjob_pro_validate_course_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'onjob-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_magazine_popular_post_count' ) ) :
    function onjob_pro_validate_magazine_popular_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 4 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'onjob-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_magazine_recent_post_count' ) ) :
    function onjob_pro_validate_magazine_recent_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'onjob-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_magazine_sport_news_count' ) ) :
    function onjob_pro_validate_magazine_sport_news_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 4 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'onjob-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_most_viewed_count' ) ) :
    function onjob_pro_validate_most_viewed_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'onjob-pro' ) );
       } elseif ( $value < 4 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'onjob-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'onjob-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'onjob_pro_validate_featured_job_category_count' ) ) :
    function onjob_pro_validate_featured_job_category_count( $validity, $value ){
        if ( empty( $value ) || ! is_array( $value ) ) {
           $validity->add( 'required',  esc_html__( 'You must Select the  options.', 'onjob-pro') );
        } elseif ( count($value) < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'onjob-pro' ) );
        } elseif ( count($value) > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'onjob-pro' ) );
        }
       return $validity;
    }
endif;
