<?php
/**
 * Must Read  section
 *
 * This is the template for the content of main_post section
 *
 * @package Theme Palace
 * @subpackage Onjob Pro
 * @since Onjob Pro 1.0.0
 */
if ( ! function_exists( 'blogification_pro_add_main_post_section' ) ) :
    /**
    * Add main_post section
    *
    *@since Onjob Pro 1.0.0
    */
    function onjob_pro_add_main_post_section() { 
        $options = onjob_pro_get_theme_options();
        $ads_image2       = !empty($options['ads_image2']) ? $options['ads_image2']: ''; 
        $ads_image2_url   = !empty($options['ads_image2_url']) ? $options['ads_image2_url']: ''; 
        if($options['home_layout'] == 'fourth-design' || $options['home_layout'] == 'default-design'): ?>

            <div class="wrapper page-section">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main" role="main">
                        <?php 
                            
                            add_action('blogification_pro_main_post','onjob_pro_add_magazine_popular_post_section'); 
                            add_action('blogification_pro_main_post','onjob_pro_add_magazine_recent_post_section'); 

                            do_action('blogification_pro_main_post'); 

                        if ( !empty( $ads_image2 ) && !empty( $ads_image2_url ) ) { ?>
                            <div id="magazine-advertisement-section" class="relative page-section">
                                <a href="<?php echo esc_url($ads_image2_url); ?>"><img src="<?php echo esc_url($ads_image2); ?>" alt="site-advertisement"></a>
                            </div>
                       <?php } ?>

                     

                    </main>
                </div><!-- #primary -->

                <?php if(is_active_sidebar( 'main-section-sidebar' ) && $options['home_layout'] == 'fourth-design') : ?>
                    <aside id="secondary" class="widget-area" role="complementary">
                        <?php  dynamic_sidebar( 'main-section-sidebar' ); ?>
                    </aside><!-- #secondary -->
                <?php endif ; ?>

            </div><!-- #wrapper -->
<?php endif; }

endif;