<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Theme Palace
 * @subpackage  Onjob Pro
 * @since  Onjob Pro 1.0.0
 */

get_header(); 
?>

<div id="inner-content-wrapper" class="wrapper page-section">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            <div class="archive-blog-wrapper blog-posts <?php echo esc_attr( $options['blog_column'] ); ?> clear">
				<?php
					$args = array( 
						's' => $wp_query->query['s'],
						'post_type' =>'any',
						'post_status'=> 'publish',
						'posts_per_page' => get_option('posts_per_page'),
						'tax_query' => [],
					);

					if(array_key_exists('post_type', $wp_query->query) && $wp_query->query['post_type'] == 'job_listing') $args['post_type'] = 'job_listing';
					if(array_key_exists('taxonomy', $wp_query->query) && $wp_query->query['taxonomy'] != '0'){
						$args['tax_query'] = [
							'relation' => 'AND',
							[
								'taxonomy' => 'job_listing_category',
								'field'    => 'term_id',
								'terms'    => $wp_query->query['taxonomy'],
							]
						];
					}elseif(array_key_exists('type', $_GET) && $_GET['type']  != '0'){
						array_push($args['tax_query'],[
							'taxonomy' => 'job_listing_type',
							'field'    => 'term_id',
							'terms'    => $_GET['type'] ,
						]);
					}
					$query = new WP_Query( $args );

				if ( $query->have_posts() ) : ?>

					<?php
					/* Start the Loop */
					while ( $query->have_posts() ) : $query->the_post();

						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_format() );

					endwhile;

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; ?>
			</div>
			<?php  
			/**
			* Hook - onjob_pro_action_pagination.
			*
			* @hooked onjob_pro_pagination 
			*/
			do_action( 'onjob_pro_action_pagination' ); 

			/**
			* Hook - onjob_pro_infinite_loader_spinner_action.
			*
			* @hooked onjob_pro_infinite_loader_spinner 
			*/
			do_action( 'onjob_pro_infinite_loader_spinner_action' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php  
	if ( onjob_pro_is_sidebar_enable() ) {
		get_sidebar();
	}
	?>
</div><!-- .wrapper -->

<?php
get_footer();
