<?php
/**
 * Template for displaying search forms in Theme Palace
 *
 * @package Theme Palace
 * @subpackage  Onjob Pro
 * @since  Onjob Pro 1.0.0
 */
$botton_label = ! empty( $args['button_label'] ) ? true: false;
$options = onjob_pro_get_theme_options();

?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label for="s">
		<span class="screen-reader-text"><?php echo esc_html_x( 'Search for:', 'label', 'onjob-pro' ); ?></span>
	</label>
	<input type="search" class="search-field" placeholder="<?php echo (!$botton_label) ? esc_attr_x( 'Search &hellip;', 'placeholder', 'onjob-pro' ) : esc_attr_x( $options['footer_search_placeholder'], 'placeholder', 'onjob-pro' ); ?>" value="<?php echo get_search_query(); ?>" name="s" aria-label="search Input" />
	<button type="submit" class="search-submit">
		<?php echo (!$botton_label) ? onjob_pro_get_svg( array( 'icon' => 'search' ) ) : esc_html_x( $options['footer_search_button_label'], 'submit button', 'onjob-pro' ); ?>
		<span class="screen-reader-text"><?php echo esc_html_x( 'Search', 'submit button', 'onjob-pro' ); ?></span>
	</button>
</form>